﻿@{
    Layout = null;
}

<!DOCTYPE html>

<html>
<head>
    <meta name="viewport" content="width=device-width" />
    <link href="~/Content/bootstrap.css" rel="stylesheet" />
    <title></title>


    <link href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.1.3/css/bootstrap.css" rel="stylesheet"/>

    @*<link href="https://cdn.datatables.net/1.10.20/css/dataTables.bootstrap4.min.css" rel="stylesheet"/>*@
    
    <link href="https://cdn.datatables.net/1.10.9/css/jquery.dataTables.min.css" rel="stylesheet"/>
    @*<link href="~/Content/jquery.dataTables.min.css" rel="stylesheet" />*@
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.5.0/css/all.css" integrity="sha384-B4dIYHKNBt8Bc12p+WXckhzcICo0wtJAoU8YZTY5qE0Id1GSseTk6S+L3BlXeVIU" crossorigin="anonymous">


    <style>
        
        .searchbar {
            margin-bottom: auto;
            margin-top: auto;
            height: 60px;
            background-color: #353b48;
            border-radius: 30px;
            padding: 10px;
            cursor:pointer;
        }

        .search_input {
            color: white;
            border: 0;
            outline: 0;
            background: none;
            padding: 0 10px;
            width: 264px;
            caret-color: transparent;
            line-height: 40px;
            transition: width 0.4s linear;
        }

        .searchbar:hover > .search_input {
            
            width: 264px;
            caret-color: red;
            transition: width 0.4s linear;
        }

        .searchbar:hover > .search_icon {
            background: white;
            color: #e74c3c;
        }

        .search_icon {
            height: 40px;
            width: 40px;
            float: right;
            display: flex;
            justify-content: center;
            align-items: center;
            border-radius: 50%;
            color: white;
            text-decoration: none;
        }
    </style>
</head>
<body>

    <div id="alert1" style="position:fixed;z-index:1000000">       
    </div>

    

    

    <div class="col-md-12">
        <form class="form-check">
            <div class="alert alert-primary">
                <h3 class="panel-title text-center">Please enter the details below.</h3>
            </div>
            <div class="panel-body form-row">

                <div class="form-group col-md-3">
                    <label>User Name</label>
                    <input type="text" name="username" id="Emp_username" class="form-control" placeholder="Enter User_Name" required />
                </div>
                <div class="form-group col-md-3">
                    <label>Email</label>
                    <input type="email" name="email" id="Emp_email" class="form-control" placeholder="Enter Email" required="" />
                </div>
                <div class="form-group col-md-3">
                    <label>Salary</label>
                    <input type="number" step="0.01" name="salary" id="Emp_salary" class="form-control" placeholder="Enetr Salary" required="" />
                </div>
                <div class="form-group col-md-3">
                    <label>City</label>
                    <input type="text" name="city" id="Emp_city" class="form-control" placeholder="Enter City" required="" />
                </div>

                <div class="form-group col-md-1 offset-md-5">
                    <div style="display:inline-block;">
                        <input class="btn btn-primary" name="submitButton" id="btnSave" value="Save" type="submit">
                    </div>
                </div>
            </div>
        </form>
        <hr />

        <div class="container">
            <div class="row">
                <div class="col-6">
                    @*<span></span><input id="txt_search" type="text" class="form-control" />*@
                    <div class="container h-100">
                        <div class="d-flex justify-content-center h-100">
                            <div class="searchbar">
                                <input id="speechToText" class="search_input" type="text" name="" placeholder="Voice Search...">
                                <a href="#" id="btn_searchvoice" class="search_icon" style="cursor:pointer"><i class="fas fa-microphone"></i></a>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

    @*<div class="col-md-6 offset-md-3>*@
        <div class="row">
            <div class="offset-lg-2">
                                                                                                <!--table-hover dt-responsive nowrap-->
                <table id="tblEmployee" class="table table-bordered table-striped table-responsive mydatatable" style="width:100%;">
                    <thead>
                        <tr>
                            <th align="left" class="productth">ID</th>
                            <th align="left" class="productth">User Name</th>
                            <th align="left" class="productth">Email</th>
                            <th align="left" class="productth">Salary</th>
                            <th align="left" class="productth">City</th>
                            <th align="left" class="productth">Edit</th>
                            <th align="left" class="productth">Delete</th>

                        </tr>
                    </thead>
                    <tbody></tbody>
                </table>
            </div>
        </div>
        @*</div>*@

    </div>
    @*<div class="col-12 col-md-3">

        </div>*@
    @*</div>
        </div>*@

    <!-- Update Modal -->
    <div id="modalRegister" class="modal fade" role="dialog">
        <div class="modal-dialog">
            <!-- Modal content-->
            <div class="modal-content">
                <div class="modal-header">
                    <h4 class="modal-title float-left" style="text-align-last: center">Update</h4>
                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                </div>
                <div class="modal-body">


                    <form>
                        <div class="panel-body form-row">
                            <div class="form-group col-md-12" hidden>
                                <label>Id</label>
                                <input type="text" name="Id" id="Emp_Id_Update" class="form-control" placeholder="Id" required="" />
                            </div>
                            <div class="form-group col-md-12">
                                <label>User Name</label>
                                <input type="text" name="username" id="Emp_username_Update" class="form-control" placeholder="Enter User_Name" required="" />
                            </div>
                            <div class="form-group col-md-12">
                                <label>Email</label>
                                <input type="email" name="email" id="Emp_email_Update" class="form-control" placeholder="Enter Email" required="" />
                            </div>
                            <div class="form-group col-md-12">
                                <label>Salary</label>
                                <input type="number" step="0.01" name="salary" id="Emp_salary_Update" class="form-control" placeholder="Enetr Salary" required="" />
                            </div>
                            <div class="form-group col-md-12">
                                <label>City</label>
                                <input type="text" name="city" id="Emp_city_Update" class="form-control" placeholder="Enter City" required="" />
                            </div>

                            <div class="form-group col-md-1 offset-md-5">
                                <div style="display:inline-block;">
                                    <input class="btn btn-primary" data-dismiss="modal" name="submitButton" id="btnUpdate" value="Update" type="submit">
                                </div>
                            </div>
                        </div>
                    </form>

                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
                </div>
            </div>
        </div>
    </div>



    <!-- Delete Modal -->
    <div id="modalDelete" class="modal fade" role="dialog">
        <div class="modal-dialog">
            <!-- Modal content-->
            <div class="modal-content">
                <div class="modal-header">
                    <h4 class="modal-title float-left" style="text-align-last: center">Delete</h4>
                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                </div>
                <div class="modal-body">

                        <div class="panel-body form-row">
                            <div class="form-group col-md-4 offset-md-1">
                                <input style="width:100%" class="btn btn-danger" data-dismiss="modal" name="submitButton" id="btnDelete" value="Delete" type="submit">
                            </div>
                            <div class="form-group col-md-4 offset-md-2">
                                <input style="width:100%" class="btn btn-dark" data-dismiss="modal" name="submitButton" id="btnCancel" value="Cancel" type="submit">
                            </div>
                        </div>
                    <input id="txt_delete_id" type="text" hidden />
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
                </div>
            </div>
        </div>
    </div>
    <script src="~/Scripts/jquery-3.0.0.js"></script>
    
    

    

    @*<script src="~/Scripts/popper.min.js"></script>*@

    
    <script src="https://code.jquery.com/jquery-3.3.1.js"></script>
    <script src="https://cdn.datatables.net/1.10.20/js/jquery.dataTables.min.js"></script>


    <script src="~/Scripts/bootstrap.js"></script>
    <script src="https://cdn.datatables.net/1.10.20/js/dataTables.bootstrap4.min.js"></script>
    

    <script src="~/Scripts/jquery.signalR-2.4.1.min.js"></script>
    <script src="~/signalr/js"></script>
    <script src="~/Scripts/Signalr.js"></script>
    @*<script src="~/Scripts/jquery.dataTables.min.js"></script>*@


    <script type="text/javascript">

        

        $(function () {

            
            $(document).ready(function () {

                //debugger;
                //Loading Data In DataTable
                $("#tblEmployee tbody tr").remove();
                $(".mydatatable").DataTable({
                    "ajax": {
                        "url": "/Employee/GetEmployees",
                        "type": "GET",
                        "datatype": "json"
                    },
                    "columns": [
                        { "data": "Id", "autoWidth": true },
                        { "data": "username", "autoWidth": true },
                        { "data": "email", "autoWidth": true },
                        { "data": "salary", "autoWidth": true },
                        { "data": "city", "autoWidth": true },
                        {
                            "data": "Id", "render": function (data) {
                                return '<a href="#" class="updatemodal btn btn-success" id="aupdate" data-toggle="modal" data-target="#modalRegister" > Update</a>';
                            }
                        },
                        {
                            "data": "Id", "render": function (data) {
                                return '<a href="#" class="deletemodal btn btn-danger" id="adelete" data-toggle="modal" data-target="#modalDelete" >Delete</a>';
                            }
                        }
                    ]
                })

            })



            
            //Search Voice
            $('#btn_searchvoice').on('click', function (e) {
                var recognition = new webkitSpeechRecognition();
                recognition.lang = "en-US";

                recognition.onresult = function (event) {
                    console.log(event);
                    
                    $('#speechToText').val(event.results[0][0].transcript);

                    $('#tblEmployee_filter input').val(event.results[0][0].transcript);

                    //debugger;
                    //var e = jQuery.Event();
                    //e.keycode = 13; // # Some key code value for Enter

                    $('#tblEmployee_filter input').focus();


                }

                recognition.start();
            });

                

            
            //debugger;
            
            



            //Update Retrieve Data From Table To Modal
            $(document).on("click", "tr #aupdate", function () {

                var $row = $(this).closest('tr');
                var id = $row.children()[0].innerText;                    // table row ID
                var username = $row.children()[1].innerText;                    // table row User Name
                var email = $row.children()[2].innerText;                    // table row Email
                var salary = $row.children()[3].innerText;                    // table row Salary
                var city = $row.children()[4].innerText;                    // table row City


                $('#Emp_Id_Update').attr('value', id)
                $('#Emp_username_Update').attr('value', username)
                $('#Emp_email_Update').attr('value', email)
                $('#Emp_salary_Update').attr('value', salary)
                $('#Emp_city_Update').attr('value', city)



                //console.log(tbid);
                // .......
            });

            //Delete Retrieve Data From Table To Modal
            $(document).on("click", "tr #adelete", function () {
                //debugger;
                var $row = $(this).closest('tr');
                var id = $row.children()[0].innerText;                    // table row ID



                $('#txt_delete_id').attr('value', id)

                //console.log(id);
                // .......
            });





        });
        


        function LoadData() {
            debugger;

            $("#tblEmployee tbody tr").remove();
            $.ajax({
                type: 'GET',
                url: '/api/Employee',
                dataType: 'json',
                data: { id: '' },
                success: function (data) {
                    console.log('success', data);
                    var items = '';
                    $.each(data, function (i, item) {
                        var rows = "<tr>"
                            + "<td class='id'>" + item.Id + "</td>"
                            + "<td class='username'>" + item.username + "</td>"
                            + "<td class='email'>" + item.email + "</td>"
                            + "<td class='salary'>" + item.salary + "</td>"
                            + "<td class='city'>" + item.city + "</td>"
                            + "<td class='update'>" + '<a href="#" class="updatemodal btn btn-success" id="aupdate" data-toggle="modal" data-target="#modalRegister" > Update</a>' + "</td>"
                            + "<td class='delete'>" + '<a href="#" class="deletemodal btn btn-danger" id="adelete" data-toggle="modal" data-target="#modalDelete" >Delete</a>' + "</td>"
                            //+ "<td class='prtoducttd'>" + 'delete' + "</td>"
                            + "</tr>";
                        $('#tblEmployee tbody').append(rows);
                    });
                },
                error: function (ex) {
                    var r = jQuery.parseJSON(response.responseText);
                    alert("Message: " + r.Message);
                    alert("StackTrace: " + r.StackTrace);
                    alert("ExceptionType: " + r.ExceptionType);
                }
            });
            return false;
        }

        //temp Fun
    //    function loaddatatable() {

    //    //debugger;
    //    $("#tblEmployee tbody tr").remove();
    //    $(".mydatatable").DataTable({
    //        "ajax": {
    //            "url": "/Employee/GetEmployees",
    //            "type": "GET",
    //            "datatype": "json"
    //        },
    //        "columns": [
    //            { "data": "Id", "autoWidth": true },
    //            { "data": "username", "autoWidth": true },
    //            { "data": "email", "autoWidth": true },
    //            { "data": "salary", "autoWidth": true },
    //            { "data": "city", "autoWidth": true },
    //            {
    //                "data": "Id", "render": function (data) {
    //                    return '<a href="#" class="updatemodal btn btn-success" id="aupdate" data-toggle="modal" data-target="#modalRegister" > Update</a>';
    //                }
    //            },
    //            {
    //                "data": "Id", "render": function (data) {
    //                    return '<a href="#" class="deletemodal btn btn-danger" id="adelete" data-toggle="modal" data-target="#modalDelete" >Delete</a>';
    //                }
    //            }
    //        ]
    //    })

    //}
    </script>



</body>
</html>

